﻿Imports Core

Namespace WpfApplication

	''' <summary>
	''' Interaction logic for MainWindow.xaml
	''' </summary>
	Partial Public Class MainWindow
		Inherits Window
		Private sut As SystemUnderTestTaskSchedulerTimer

		Public Sub New()
			InitializeComponent()

			' Starts recurring operation when the main window is initialized.
            sut = New SystemUnderTestTaskSchedulerTimer(New DispatcherTimerAdapter)
			sut.StartRecurring()
		End Sub

		''' <summary>
		''' Displays the results of the recurring operation.
		''' </summary>
		''' <param name="sender"></param>
		''' <param name="e"></param>
		Private Sub Refresh_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
			RecurringResult.Text = sut.Message
		End Sub
	End Class
End Namespace
